##################################################################
#
#   makefile
# 
#   for the MARS IFAE library
#
##################################################################
# @maintitle

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
include ../../Makefile.conf.$(OSTYPE)
include ../../Makefile.conf.general

#
CINT     = IFAE
#

PROGRAMS = makeHillas psffit
#SOLIB    = ../../libmars.so
#LIB      = mifae.a

#------------------------------------------------------------------------------

INCLUDES = -I. \
	   -I../../mbase \
	   -I../../mjobs \
	   -I../../mpedestal \
	   -I../../mbadpixels \
	   -I../../mfileio \
           -I../../mraw \
           -I../../manalysis \
	   -I../../mgui \
	   -I../../mgeom \
	   -I../../msignal \
	   -I../../mcalib \
	   -I../../mfilter \
	   -I../../mhbase \
	   -I../../mimage \
	   -I../../mpointing \
	   -I../../mcamera \
	   -I../../mastro


#.SUFFIXES: .c .cc .h .o 

SRCFILES = \
	MDCA.cc \
        MPSFFit.cc \
        MPSFFitCalc.cc \
        MSrcPosFromFile.cc
#	MSrcRotate.cc 

#SRCS    = $(SRCFILES)
#HEADERS = $(SRCFILES:.cc=.h)
#OBJS    = $(SRCFILES:.cc=.o) 

############################################################
#all: $(LIB) $(PROGRAMS)
all: $(OBJS)
	@echo " Done. "
	@echo " "

include ../../Makefile.rules


$(PROGRAMS): $(SOLIB) $(LIB) $(PROGRAMS:=.o)
	@echo " Linking $@ ..."
	$(CXX) $(CXXFLAGS) $(ROOTGLIBS) $(SOLIB) ${OBJS} -L../../lib -lmifae $@.o $(MARS_LIB) -o $@
	@echo " Removing $@.o ..."
	rm $@.o

mrproper: rmbin clean rmbak

# @endcode
